diff -ruN mozilla-embedded-vendor.orig/Makefile mozilla-embedded-vendor/Makefile
--- mozilla-embedded-vendor.orig/Makefile	Sat Oct 19 02:20:47 2002
+++ mozilla-embedded-vendor/Makefile	Sat Oct 19 02:11:27 2002
@@ -2,7 +2,7 @@
 # Date created:				16 August 2000
 # Whom:					Maxim Sobolev <sobomax@FreeBSD.org>
 #
-# $FreeBSD: ports/www/mozilla-embedded-vendor/Makefile,v 1.17 2002/09/03 20:45:58 marcus Exp $
+# $FreeBSD$
 #
 
 PORTNAME=	mozilla-embedded
@@ -14,7 +14,7 @@
 
 MAINTAINER=	sobomax@FreeBSD.org
 
-BUILD_DEPENDS=	${NONEXISTENT}:${PORTSDIR}/www/mozilla:build \
+BUILD_DEPENDS=	${NONEXISTENT}:${PORTSDIR}/www/mozilla-vendor:build \
 		zip:${PORTSDIR}/archivers/zip \
 		unzip:${PORTSDIR}/archivers/unzip
 LIB_DEPENDS=	${MAKE} -V LIB_DEPENDS -f ${MAINDIR}/${MKFILE}
@@ -22,7 +22,9 @@
 
 USE_X_PREFIX=	yes
 
-MAINDIR=	${.CURDIR}/../mozilla
+LATEST_LINK=	mozilla-embedded-vendor
+PLIST=		${WRKSRC}/pkg-plist
+MAINDIR=	${.CURDIR}/../mozilla-vendor
 MKFILE!=	/usr/bin/basename ${MAKEFILE}
 PORTVERSION!=	${PORTVERSION}
 PORTREVISION!=	${PORTREVISION}
@@ -37,12 +39,20 @@
 	@(cd ${WRKSRC}/dist/Embed; \
 	  ${SETENV} LD_LIBRARY_PATH=. MOZILLA_FIVE_HOME=. ../bin/regxpcom; \
 	  ${SETENV} LD_LIBRARY_PATH=. MOZILLA_FIVE_HOME=. ../bin/regchrome)
-	@find ${WRKSRC}/dist/Embed -name "*.so" | xargs strip
+	@${FIND} ${WRKSRC}/dist/Embed -name "*.so" | ${XARGS} ${STRIP_CMD}
+
+pre-install:
+	${TOUCH} -f ${PLIST}
+	cd ${WRKSRC}/dist/Embed && ${FIND} -s * -type f -o -type l | \
+		${SED} -e ':^:lib/mozilla-embedded-vendor/:' >> ${PLIST} \
+		&& ${FIND} -d * -type f | \
+		${SED} -e 's:^:@dirrm lib/mozilla-embedded-vendor/:' >> ${PLIST}
+	${ECHO_CMD} @dirrm lib/mozilla-embedded-vendor >> ${PLIST}
 
 do-install:
-	${MKDIR} ${PREFIX}/lib/mozilla-embedded
-	${CHMOD} 755 ${PREFIX}/lib/mozilla-embedded
+	${MKDIR} ${PREFIX}/lib/mozilla-embedded-vendor
+	${CHMOD} 755 ${PREFIX}/lib/mozilla-embedded-vendor
 	cd ${WRKSRC}/dist/Embed && ${FIND} . | \
-		cpio -pdm -L -R ${LIBOWN}:${LIBGRP} ${PREFIX}/lib/mozilla-embedded
+		cpio -pdm -L -R ${LIBOWN}:${LIBGRP} ${PREFIX}/lib/mozilla-embedded-vendor
 
 .include <bsd.port.mk>
diff -ruN mozilla-embedded-vendor.orig/pkg-plist mozilla-embedded-vendor/pkg-plist
--- mozilla-embedded-vendor.orig/pkg-plist	Sat Oct 19 02:20:47 2002
+++ mozilla-embedded-vendor/pkg-plist	Wed Dec 31 19:00:00 1969
@@ -1,194 +0,0 @@
-lib/mozilla-embedded/TestGtkEmbed
-lib/mozilla-embedded/chrome/chrome.rdf
-lib/mozilla-embedded/chrome/embed.jar
-lib/mozilla-embedded/chrome/installed-chrome.txt
-lib/mozilla-embedded/chrome/overlayinfo/communicator/content/overlays.rdf
-lib/mozilla-embedded/chrome/overlayinfo/navigator/content/overlays.rdf
-lib/mozilla-embedded/chrome/pipnss.jar
-lib/mozilla-embedded/chrome/pippki.jar
-lib/mozilla-embedded/component.reg
-lib/mozilla-embedded/components/appshell.xpt
-lib/mozilla-embedded/components/caps.xpt
-lib/mozilla-embedded/components/chrome.xpt
-lib/mozilla-embedded/components/content_base.xpt
-lib/mozilla-embedded/components/docshell.xpt
-lib/mozilla-embedded/components/dom.xpt
-lib/mozilla-embedded/components/dom_base.xpt
-lib/mozilla-embedded/components/dom_core.xpt
-lib/mozilla-embedded/components/dom_css.xpt
-lib/mozilla-embedded/components/dom_events.xpt
-lib/mozilla-embedded/components/dom_html.xpt
-lib/mozilla-embedded/components/dom_range.xpt
-lib/mozilla-embedded/components/dom_stylesheets.xpt
-lib/mozilla-embedded/components/dom_traversal.xpt
-lib/mozilla-embedded/components/dom_views.xpt
-lib/mozilla-embedded/components/dom_xbl.xpt
-lib/mozilla-embedded/components/dom_xul.xpt
-lib/mozilla-embedded/components/editor.xpt
-lib/mozilla-embedded/components/gfx.xpt
-lib/mozilla-embedded/components/gfx2.xpt
-lib/mozilla-embedded/components/imglib2.xpt
-lib/mozilla-embedded/components/intl.xpt
-lib/mozilla-embedded/components/jar.xpt
-lib/mozilla-embedded/components/jsurl.xpt
-lib/mozilla-embedded/components/layout_base.xpt
-lib/mozilla-embedded/components/layout_xul.xpt
-lib/mozilla-embedded/components/libcaps.so
-lib/mozilla-embedded/components/libchardet.so
-lib/mozilla-embedded/components/libchrome.so
-lib/mozilla-embedded/components/libcookie.so
-lib/mozilla-embedded/components/libdocshell.so
-lib/mozilla-embedded/components/libeditor.so
-lib/mozilla-embedded/components/libembedcomponents.so
-lib/mozilla-embedded/components/libgfx2.so
-lib/mozilla-embedded/components/libgfx_gtk.so
-lib/mozilla-embedded/components/libgkcontent.so
-lib/mozilla-embedded/components/libgklayout.so
-lib/mozilla-embedded/components/libgkview.so
-lib/mozilla-embedded/components/libhtmlpars.so
-lib/mozilla-embedded/components/libimggif.so
-lib/mozilla-embedded/components/libimgjpeg.so
-lib/mozilla-embedded/components/libimglib2.so
-lib/mozilla-embedded/components/libimgpng.so
-lib/mozilla-embedded/components/libimgppm.so
-lib/mozilla-embedded/components/libjar50.so
-lib/mozilla-embedded/components/libjsdom.so
-lib/mozilla-embedded/components/libjsurl.so
-lib/mozilla-embedded/components/liblwbrk.so
-lib/mozilla-embedded/components/libmozbrwsr.so
-lib/mozilla-embedded/components/libnecko.so
-lib/mozilla-embedded/components/libnecko2.so
-lib/mozilla-embedded/components/libnsappshell.so
-lib/mozilla-embedded/components/libnslocale.so
-lib/mozilla-embedded/components/libpipboot.so
-lib/mozilla-embedded/components/libpipnss.so
-lib/mozilla-embedded/components/libpippki.so
-lib/mozilla-embedded/components/libpref.so
-lib/mozilla-embedded/components/libprofile.so
-lib/mozilla-embedded/components/librdf.so
-lib/mozilla-embedded/components/libshistory.so
-lib/mozilla-embedded/components/libstrres.so
-lib/mozilla-embedded/components/libtxtsvc.so
-lib/mozilla-embedded/components/libuconv.so
-lib/mozilla-embedded/components/libucvcn.so
-lib/mozilla-embedded/components/libucvibm.so
-lib/mozilla-embedded/components/libucvja.so
-lib/mozilla-embedded/components/libucvko.so
-lib/mozilla-embedded/components/libucvlatin.so
-lib/mozilla-embedded/components/libucvmath.so
-lib/mozilla-embedded/components/libucvtw.so
-lib/mozilla-embedded/components/libucvtw2.so
-lib/mozilla-embedded/components/libunicharutil.so
-lib/mozilla-embedded/components/liburiloader.so
-lib/mozilla-embedded/components/libwallet.so
-lib/mozilla-embedded/components/libwebbrwsr.so
-lib/mozilla-embedded/components/libwidget_gtk.so
-lib/mozilla-embedded/components/libxpconnect.so
-lib/mozilla-embedded/components/locale.xpt
-lib/mozilla-embedded/components/mozbrwsr.xpt
-lib/mozilla-embedded/components/necko.xpt
-lib/mozilla-embedded/components/necko_about.xpt
-lib/mozilla-embedded/components/necko_cache.xpt
-lib/mozilla-embedded/components/necko_data.xpt
-lib/mozilla-embedded/components/necko_dns.xpt
-lib/mozilla-embedded/components/necko_ftp.xpt
-lib/mozilla-embedded/components/necko_http.xpt
-lib/mozilla-embedded/components/necko_jar.xpt
-lib/mozilla-embedded/components/necko_res.xpt
-lib/mozilla-embedded/components/necko_strconv.xpt
-lib/mozilla-embedded/components/pipboot.xpt
-lib/mozilla-embedded/components/pipnss.xpt
-lib/mozilla-embedded/components/pippki.xpt
-lib/mozilla-embedded/components/pref.xpt
-lib/mozilla-embedded/components/profile.xpt
-lib/mozilla-embedded/components/rdf.xpt
-lib/mozilla-embedded/components/shistory.xpt
-lib/mozilla-embedded/components/txtsvc.xpt
-lib/mozilla-embedded/components/uconv.xpt
-lib/mozilla-embedded/components/unicharutil.xpt
-lib/mozilla-embedded/components/uriloader.xpt
-lib/mozilla-embedded/components/wallet.xpt
-lib/mozilla-embedded/components/webBrowser_core.xpt
-lib/mozilla-embedded/components/widget.xpt
-lib/mozilla-embedded/components/windowwatcher.xpt
-lib/mozilla-embedded/components/xpcom_base.xpt
-lib/mozilla-embedded/components/xpcom_components.xpt
-lib/mozilla-embedded/components/xpcom_ds.xpt
-lib/mozilla-embedded/components/xpcom_io.xpt
-lib/mozilla-embedded/components/xpcom_threads.xpt
-lib/mozilla-embedded/components/xpcom_xpti.xpt
-lib/mozilla-embedded/components/xpconnect.xpt
-lib/mozilla-embedded/components/xpti.dat
-lib/mozilla-embedded/defaults/pref/all.js
-lib/mozilla-embedded/defaults/pref/initpref.js
-lib/mozilla-embedded/defaults/pref/security-prefs.js
-lib/mozilla-embedded/defaults/pref/unix.js
-lib/mozilla-embedded/libgkgfx.so
-lib/mozilla-embedded/libgtkembedmoz.so
-lib/mozilla-embedded/libgtksuperwin.so
-lib/mozilla-embedded/libmoz_art_lgpl.so
-lib/mozilla-embedded/libmozjs.so
-lib/mozilla-embedded/libmozz.so
-lib/mozilla-embedded/libnspr4.so
-lib/mozilla-embedded/libnss3.so
-lib/mozilla-embedded/libnssckbi.so
-lib/mozilla-embedded/libplc4.so
-lib/mozilla-embedded/libplds4.so
-lib/mozilla-embedded/libsmime3.so
-lib/mozilla-embedded/libsoftokn3.so
-lib/mozilla-embedded/libssl3.so
-lib/mozilla-embedded/libxpcom.so
-lib/mozilla-embedded/readme.html
-lib/mozilla-embedded/res/arrow.gif
-lib/mozilla-embedded/res/arrowd.gif
-lib/mozilla-embedded/res/broken-image.gif
-lib/mozilla-embedded/res/builtin/htmlBindings.xml
-lib/mozilla-embedded/res/builtin/platformHTMLBindings.xml
-lib/mozilla-embedded/res/builtin/xbl-forms.css
-lib/mozilla-embedded/res/charsetData.properties
-lib/mozilla-embedded/res/charsetalias.properties
-lib/mozilla-embedded/res/dtd/mathml.dtd
-lib/mozilla-embedded/res/dtd/svg.dtd
-lib/mozilla-embedded/res/dtd/xhtml11.dtd
-lib/mozilla-embedded/res/entityTables/html40Latin1.properties
-lib/mozilla-embedded/res/entityTables/html40Special.properties
-lib/mozilla-embedded/res/entityTables/html40Symbols.properties
-lib/mozilla-embedded/res/entityTables/htmlEntityVersions.properties
-lib/mozilla-embedded/res/entityTables/transliterate.properties
-lib/mozilla-embedded/res/fonts/mathfont.properties
-lib/mozilla-embedded/res/fonts/mathfontCMEX10.properties
-lib/mozilla-embedded/res/fonts/mathfontCMSY10.properties
-lib/mozilla-embedded/res/fonts/mathfontMTExtra.properties
-lib/mozilla-embedded/res/fonts/mathfontMath1.properties
-lib/mozilla-embedded/res/fonts/mathfontMath2.properties
-lib/mozilla-embedded/res/fonts/mathfontMath4.properties
-lib/mozilla-embedded/res/fonts/mathfontPUA.properties
-lib/mozilla-embedded/res/fonts/mathfontSymbol.properties
-lib/mozilla-embedded/res/forms.css
-lib/mozilla-embedded/res/html.css
-lib/mozilla-embedded/res/langGroups.properties
-lib/mozilla-embedded/res/language.properties
-lib/mozilla-embedded/res/loading-image.gif
-lib/mozilla-embedded/res/mathml.css
-lib/mozilla-embedded/res/quirk.css
-lib/mozilla-embedded/res/ua.css
-lib/mozilla-embedded/res/unixcharset.properties
-lib/mozilla-embedded/res/viewsource.css
-lib/mozilla-embedded/run-mozilla.sh
-@unexec rm -f %D/lib/mozilla-embedded/component.reg || true
-@unexec rm -f %D/lib/mozilla-embedded/components/xpti.dat || true
-@dirrm lib/mozilla-embedded/res/fonts
-@dirrm lib/mozilla-embedded/res/entityTables
-@dirrm lib/mozilla-embedded/res/dtd
-@dirrm lib/mozilla-embedded/res/builtin
-@dirrm lib/mozilla-embedded/res
-@dirrm lib/mozilla-embedded/defaults/pref
-@dirrm lib/mozilla-embedded/defaults
-@dirrm lib/mozilla-embedded/components
-@dirrm lib/mozilla-embedded/chrome/overlayinfo/navigator/content
-@dirrm lib/mozilla-embedded/chrome/overlayinfo/navigator
-@dirrm lib/mozilla-embedded/chrome/overlayinfo/communicator/content
-@dirrm lib/mozilla-embedded/chrome/overlayinfo/communicator
-@dirrm lib/mozilla-embedded/chrome/overlayinfo
-@dirrm lib/mozilla-embedded/chrome
-@dirrm lib/mozilla-embedded
